# BuildException

Extends \Exception

BuildException is for when things go wrong in a build execution.

author | Andreas Aderhold andi@binarycloud.com
version | $Id: 939a70de13c353c815587a777c6502f6463eb3ad $
package | phing

### Methods

## Construct a BuildException.

    __construct(\Exception|string $p1, \Location|\Exception|null $p2 = null, \Location|null $p3 = null)

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new Buildexception($causeExc, $loc); throw new BuildException($msg, $causeExc); throw new BuildException($msg, $loc); throw new BuildException($msg, $causeExc, $loc);

### Arguments

#### $p1

`\Exception|string`

#### $p2

`\Location|\Exception|null`

#### $p3

`\Location|null`

## Gets the cause exception.

    getCause() : \Exception

### Response

`\Exception`

## Gets the location of error in XML file.

    getLocation() : \Location

### Response

`\Location`

## Sets the location of error in XML file.

    setLocation(\Location $loc)

### Arguments

#### $loc

`\Location`

### Properties

## Location in the xml file.

    location : \Location

var |

### Type(s)

`\Location`

## The nested "cause" exception.

    cause : \Exception

var |

### Type(s)

`\Exception`